Package org.eclipse.mat.util

# Enum Units.Storage

java.lang.Object
java.lang.Enum<Units.Storage>
org.eclipse.mat.util.Units.Storage

All Implemented Interfaces:
  `Serializable`, `Comparable<Units.Storage>`, `java.lang.constant.Constable`

Enclosing class:
  Units

public static enum Units.Storage extends Enum<Units.Storage>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BYTE`
`GIGABYTE`
`KILOBYTE`
`MEGABYTE`

## Method Summary

Modifier and Type
Method
Description
`String`
`format(long number)`
`static Units.Storage`
`of(long number)`
`static Units.Storage`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Units.Storage[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BYTE

public static final Units.Storage BYTE

### KILOBYTE

public static final Units.Storage KILOBYTE

### MEGABYTE

public static final Units.Storage MEGABYTE

### GIGABYTE

public static final Units.Storage GIGABYTE

## Method Details

### values

public static Units.Storage[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Units.Storage valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### of

public static Units.Storage of(long number)

### format

public String format(long number)